#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int szamlalo=0;
    int db =0;
    int k = 0;
    int kills = 0;
    int n;
    bool egy = false;
    bool ketto = false;
    bool harom = false;
    string eredmeny = "";
    cin >> n;
    vector<int> pe;
    vector<int> nd;
    for(int i=0;i<n;i++){
        db++;
        int x;
        cin >> x;
        if(x < 0){
            x *= -1;
            nd.push_back(x);
        }
        else{
            pe.push_back(x);
        }
    }
    sort(nd.begin(), nd.end());
    sort(pe.begin(),pe.end());
    while(db>0){
        if(!ketto && !egy){
            db--;
            kills++;
            if(nd[k] < pe[k]){
                eredmeny += '1';
                egy = true;
                ketto = false;
                harom = false;
            }
            else{
                eredmeny += '2';
                ketto = true;
                egy = false;
                harom = false;
            }
        }
        else if(!ketto){
            eredmeny += '2';
            db--;
            kills++;
            ketto = true;
            egy = false;
            harom = false;
        }
        else if(!egy){
            eredmeny += '1';
            db--;
            kills++;
            egy = true;
            ketto = false;
            harom = false;
        }
        else{
            eredmeny+='3';
            harom = true;
            ketto= false;
            egy = false;
        }
        szamlalo++;
        if(nd[k] - szamlalo == 0 || pe[k] - szamlalo ==0){
            cout << kills << '\n';
            cout << eredmeny << '\n';
            return 0;
        }
        k++;
    }
    cout << kills << '\n';
    cout << eredmeny << '\n';
    return 0;
}